<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Group_model extends CI_Model {
    protected $_table='group';

    public function __construct(){
        parent::__construct();
        date_default_timezone_set("Asia/Ho_Chi_Minh");
    }

    public function add($dataInsert){
        $this->db->insert($this->_table, $dataInsert);
        $insert_id = $this->db->insert_id();
        return $insert_id;
    }

    public function update($id, $dataUpdate){
        $this->db->where('id', $id);
        $this->db->update($this->_table, $dataUpdate);
    }

    public function getById($id){
        $this->db->select('*');
        $this->db->from($this->_table);
        $this->db->where('id', $id);
        $query = $this->db->get();
        return $query->result_array();
    }

    public function getListFoxSelectBox($firstItem='', $is_active=true){
        $this->db->select('id, name');
        $this->db->from($this->_table);
        if($is_active == true){
            $this->db->where('is_active', 1);
        }
        $this->db->order_by($this->_table.'.name', 'asc');
        $query = $this->db->get();
        $result = $query->result_array();
        $list = array();
        if($firstItem != ''){
            $list[''] = $firstItem;
        }
        foreach($result as $value){
            $list[$value['id']] = $value['name'];
        }
        return $list;
    }

    public function getListForPermission($is_active=true){
        $this->db->select('id, name');
        $this->db->from($this->_table);
        if($is_active == true){
            $this->db->where('is_active', 1);
        }
        $this->db->order_by($this->_table.'.name', 'asc');
        $query = $this->db->get();
        return $query->result_array();
    }

    public function countAll($name=null){
        $this->db->select('COUNT(*) AS totalResults');
        $this->db->from($this->_table);
        if($name != null){
            $this->db->like($this->_table.'.name', $name, 'both');
        }
        $query = $this->db->get();
        $result = $query->result_array();
        if($result){
            return $result[0]['totalResults'];
        }else{
            return 0;
        }
    }

    public function getPagination($record, $start, $name=null){
        $this->db->select('*');
        $this->db->from($this->_table);
        if($name != null){
            $this->db->like($this->_table.'.name', $name, 'both');
        }
        $this->db->order_by($this->_table.'.name', 'asc');
        $this->db->limit($record, $start);
        $query = $this->db->get();
        return $query->result_array();
    }

}

/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */